<?xml version='1.0' encoding='UTF-8'?>
<project>
  <actions/>
  <description></description>
  <keepDependencies>false</keepDependencies>
  <properties/>
  <scm class="hudson.scm.NullSCM"/>
  <canRoam>true</canRoam>
  <disabled>false</disabled>
  <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
  <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
  <triggers/>
  <concurrentBuild>true</concurrentBuild>
  <builders>
    <hudson.tasks.BatchFile>
      <command>set JAVA_HOME=&quot;D:\ext\Java\jdk1.8.0_05&quot;  
set PATH=&quot;D:\ext\Java\jdk1.8.0_05\bin&quot;;%PATH%   
java -version 
md build\classes
javac -classpath &quot;D:\ext\Java\jars\*&quot; -d build\classes java\jenkins\plugins\testlink\examples\*.java 
</command>
    </hudson.tasks.BatchFile>
    <hudson.plugins.testlink.TestLinkBuilder plugin="testlink@3.10">
      <testLinkName>LocalTestLink_1_9_10</testLinkName>
      <testProjectName>TL_JENKINS</testProjectName>
      <testPlanName>TPJ1</testPlanName>
      <buildName>TBJ-$BUILD_NUMBER</buildName>
      <platformName></platformName>
      <customFields>cfName</customFields>
      <singleBuildSteps>
        <hudson.tasks.BatchFile>
          <command>@echo Single Build Steps Start
@echo TESTLINK_BUILD_NAME=%TESTLINK_BUILD_NAME%
@echo TESTLINK_TESTPLAN_NAME=%TESTLINK_TESTPLAN_NAME%
@echo TESTLINK_TESTPROJECT_NAME=%TESTLINK_TESTPROJECT_NAME%
@echo TESTLINK_TESTCASE_TOTAL=%TESTLINK_TESTCASE_TOTAL%
@echo Single Build Steps Stop
@echo ====</command>
        </hudson.tasks.BatchFile>
        <hudson.tasks.BatchFile>
          <command>set JAVA_HOME=&quot;D:\ext\Java\jdk1.8.0_05&quot;  
set PATH=&quot;D:\ext\Java\jdk1.8.0_05\bin&quot;;%PATH%   
set CLASSPATH=&quot;.;build\classes;D:\ext\Java\jars\*&quot;

java -ea -classpath %CLASSPATH% org.testng.TestNG -testnames &quot;Examples&quot; resources/suite.xml</command>
        </hudson.tasks.BatchFile>
      </singleBuildSteps>
      <iterativeBuildSteps>
        <hudson.tasks.BatchFile>
          <command>@echo Iterative Test Build Steps Start
@echo TESTLINK_TESTCASE_ID=%TESTLINK_TESTCASE_ID%
@echo TESTLINK_TESTCASE_NAME=%TESTLINK_TESTCASE_NAME%
@echo TESTLINK_TESTCASE_TESTSUITEID=%TESTLINK_TESTCASE_TESTSUITEID%
@echo TESTLINK_TESTCASE_TESTPROJECTID=%TESTLINK_TESTCASE_TESTPROJECTID%
@echo TESTLINK_TESTCASE_AUTHOR=%TESTLINK_TESTCASE_AUTHOR%
@echo TESTLINK_TESTCASE_SUMMARY=%TESTLINK_TESTCASE_SUMMARY%
@echo TESTLINK_BUILD_NAME=%TESTLINK_BUILD_NAME%
@echo TESTLINK_TESTPLAN_NAME=%TESTLINK_TESTPLAN_NAME%
@echo TESTLINK_TESTPROJECT_NAME=%TESTLINK_TESTPROJECT_NAME%
@echo TESTLINK_TESTCASE_cfName=%TESTLINK_TESTCASE_cfName%
@echo Iterative Test Build Steps Stop
@echo -------</command>
        </hudson.tasks.BatchFile>
      </iterativeBuildSteps>
      <transactional>false</transactional>
      <failedTestsMarkBuildAsFailure>false</failedTestsMarkBuildAsFailure>
      <failIfNoResults>false</failIfNoResults>
      <failOnNotRun>false</failOnNotRun>
      <executionOrderComparator/>
      <failure>false</failure>
      <resultSeekers>
        <hudson.plugins.testlink.result.TestNGClassNameResultSeeker>
          <includePattern>test-output/testng-results.xml</includePattern>
          <keyCustomField>cfName</keyCustomField>
          <includeNotes>true</includeNotes>
          <parser/>
          <attachTestNGXML>false</attachTestNGXML>
          <markSkippedTestAsBlocked>true</markSkippedTestAsBlocked>
        </hudson.plugins.testlink.result.TestNGClassNameResultSeeker>
      </resultSeekers>
    </hudson.plugins.testlink.TestLinkBuilder>
  </builders>
  <publishers/>
  <buildWrappers/>
</project>